VMware vSphere Replication REST API Gateway Operations Index

VMware vSphere Replication REST API Gateway Operations Index

All available VMware vSphere Replication REST API Gateway Operations

Authentication
GET
Get Current Session Deprecated

Returns information about the current session, if any.

POST
Login Deprecated

Logs in and returns the session ID. In the subsequent requests, include the 'x-dr-session' header with the returned session ID value.

DELETE
Logout Deprecated

Logs out if the session is authenticated

Pairing
GET
Get Vr Pairings Deprecated

Get a list of all existing pairings.

POST
Pair Vr Deprecated

Pair to the remote vSphere Replication Management Server.

GET
Get Vr Pairing Deprecated

Get information about the pairing

DELETE
Delete Vr Pairing Deprecated

Delete the existing pairing with the remote vSphere Replication Management server.

POST
Reconnect Vr Pairing Deprecated

Reconnect the existing pairing to the remote vSphere Replication Management Server (VRMS)

GET
Get Vr Pairing Issues Deprecated

Get all issues for the pairing

GET
Get Remote Session Deprecated

Returns information about the current session to the remote vSphere Replication Management server, if any.

POST
Create Remote Session Deprecated

Returns information about the current session to the remote vSphere Replication Management server

GET
Get All Vr Details In Pairing Deprecated

Get information about vSphere Replication servers that are paired.

GET
Get Vr Info In Pairing Deprecated

Get information about a specific VR in a pairing

GET
Get All Vr Servers In Pairing Deprecated

Get all registered replication servers for a VR in a pairing

POST
Register Vr Server In Pairing Deprecated

Register a replication server for a VR in a pairing

GET
Get Vr Server In Pairing Deprecated

Get information about a registered vSphere Replication server for a VRMS, which is part of a pairing

DELETE
Unregister Vr Server In Pairing Deprecated

Unregister a vSphere Replication server for a VR in a pairing

POST
Reconnect Vr Server In Pairing Deprecated

Update the connection information for this VR server and reset any current connection for a VR in a pairing

Replication
GET
Get All Replications Deprecated

Get a list of all the incoming or outgoing replications from a vCenter Server.

POST
Configure Replication Deprecated

Use this workflow to configure a replication.


1. Search for VMs that are suitable for a replication.
GET /{pairing_id}/vcenters/{vcenter_id}/vms
 - Query parameter suitable_for_replication should be true
2. Choose VMs.
3. For each VM, get disks:
GET /{pairing_id}/vcenters/{vcenter_id}/vms/{vm_id}/disks
4. Optionally, for each VM, check capabilities if replication is supported and what are the supported replication settings:
GET /{pairing_id}/vcenters/{vcenter_id}/vms/{vm_id}/capability
5. Request storage policies at the target vCenter Server:
GET /{pairing_id}/vcenters/{vcenter_id}/storage-policies
6. Choose a storage policy. If default storage policy will be used, then set destination_storage_policy_id in the resulting ConfigureReplicationSpec to null.
7. Search for possible target datastores at the target vCenter Server:
GET /{pairing_id}/vcenters/{vcenter_id}/datastores
8. Choose a target datastore.
9. Optionally check the selected target datastore's compliance against the selected target storage policy.
POST /{pairing_id}/vcenters/{vcenter_id}/storage-policies/{storage_policy_id}/actions/check-compliance
 - Pass the chosen datastore IDs as a body to the endpoint
10. Optionally search for seeds at the target vCenter Server for the chosen target datastore from step 8:
 a. POST /{pairing_id}/vcenters/{vcenter_id}/datastores/{datastore_id}/actions/find-seeds
 - Pass spec based on the VM disks retrieved in step 3
 b. Or browse the datastore to select manually seed folder/file
POST /{pairing_id}/vcenters/{vcenter_id}/datastores/{datastore_id}/actions/browse
 - Pass spec for specific type and path of files/folders
11. Construct ConfigureReplicationSpec.
12. Create a replication.
POST /{pairing_id}/replications

GET
Get Replications Count Deprecated

Get the total number of replications - both incoming and outgoing.

GET
Get Replications Issues Deprecated

Get a list of all the current issues for all incoming or outgoing replications.

GET
Get Replication Info Deprecated

Get information about the replication

DELETE
Destroy Replication Deprecated

Delete replication of a VM. The operation deletes the replication only on the local site. Remove the replication configuration first.

POST
Pause Replication Deprecated

Pause the replication for a virtual machine from the source site to a remote vCenter Server site.

POST
Reconfigure Replication Deprecated

Change the settings of a replication, including reconfiguring a replication on new virtual hard disks and enabling the default seed disk to use a replica disk in the VM folder.

POST
Resume Replication Deprecated

Resume a paused replication to the target vCenter Server site.

POST
Sync Replication Deprecated

Sync the latest changes for a virtual machine with a configured replication to the target vCenter Server site.

POST
Unconfigure Replication Deprecated

Gracefully remove the replication configuration of a VM. If the remote site is not available, use DELETE /replications/{replication_id} to delete the replication from the local site.

GET
Get Replicated Vm Disks Deprecated

Retrieve information about the disks of a replicated VM

GET
Get Vr Capable Target Datastores Deprecated

Retrieve vSphere Replication supported datastores

POST
Browse Datastore Deprecated

Browse the datastore that is defined in the URL by its ID. This API returns files that reside on the given datastore. These files are filtered based on the given search criteria.

POST
Get Seeds For Disks Deprecated

Retrieve information about possible seeds for a given set of disks

GET
Get Vc Storage Policies Deprecated

Retrieve vCenter Server's storage policies

POST
Check Storage Policy Compliance Deprecated

Check datastores for compliance against a given storage policy.

GET
Get Local Vms Deprecated

Get a list of all VMs on the vCenter Server specified by vCenter Server ID in the URL.

GET
Get Vm Capability Deprecated

Retrieve VR capability information about a given VM

GET
Get Local Vm Disks Deprecated

Retrieve information about the disks of a VM

Server
GET
Get Vr Info Deprecated

Lists details about the vSphere Replication Management Server

GET
Get All Vr Servers Deprecated

Get all registered replication servers.

POST
Register Vr Server Deprecated

Register a replication server.

GET
Get Vr Server Deprecated

Get information about a registered vSphere Replication server.

DELETE
Unregister Vr Server Deprecated

Unregister a vSphere Replication server.

POST
Reconnect Vr Server Deprecated

Update the connection information of this VR server and reset any current connection.

Tasks
GET
Get Recent Tasks Info Deprecated

Retrieve all recent tasks

GET
Get Task Info Deprecated

Retrieve task information